FreeBSD is designed for users who got lots of spare time. Every once a while, it will give you some troubles (or “snacks” in programmer language), which help you to burn some of your spare time. If you cannot handle those troubles, then FreeBSD is not for you.

Although FreeBSD is a rock solid operating system, it is not smart enough to tell whether the owners (i.e., me and you) got plenty of spare time or not.

Anyway, comparing to Windows Server, I think FreeBSD is considered an honor student.

Okay, let’s go back to the error message. When I tried to update FreeBSD, I saw the following error:

===>>> All >> pkg-config-0.25_1 (1/1)

        ===>>> The devel/pkg-config port moved to devel/pkgconf
        ===>>> Reason: pkg-config has been replace by pkgconf

===>  pkgconf-0.8.5 conflicts with installed package(s):
      pkg-config-0.25_1

      They install files into the same place.
      You may want to stop build with Ctrl + C.

Again, this is an old-school error. The port-maintainer decided that the app A is too old, and he likes to replace it by app B. We all love the new stuffs, but we want the transition goes smooth. Apparently, it seems that the port-maintainer totally forgot about it.

So here is how to solve this problem:

sudo pkg_info | grep pkg

You will see something like the following:

pkg-config-0.25_1   A utility to retrieve information about installed libraries

Let’s delete it.

sudo pkg_delete -f pkg-config-0.25_1

Verify that the package has been deleted:

sudo pkg_info | grep pkg

Now try to install the package again:

cd /usr/ports/devel/pkgconf
sudo make install clean

That’s it!

–Derrick

If you found this solution useful, would you like to visit the following sponsors?

10 Responses to “[FreeBSD]The devel/pkg-config port moved to devel/pkgconf; Reason: pkg-config has been replace by pkgconf; pkgconf-0.8.5 conflicts with installed package(s): pkg-config-0.25_1”

  1. Derrick,

    thank you very much for this article. It was very helpful.

    regards,
    Dirk

  2. vermaden says:

    It would be easier to just check the /usr/ports/UPDATING which contains that message with explanation of what has changed, and what to do to approve that change in Your system.

    20120726:
    AFFECTS: users of devel/pkg-config
    AUTHOR: [email protected]

    devel/pkg-config has been replaced by devel/pkgconf

    # portmaster -o devel/pkgconf devel/pkg-config
    or
    # portupgrade -fo devel/pkgconf pkg-config-\*

    pkgng:
    # pkg set -o devel/pkg-config:devel/pkgconf
    # pkg install -f devel/pkgconf

    Regards,
    vermaden

  3. Thank you very much. It was helpful for me!

  4. That did the trick!

  5. Hi! I have a same problem.I try installed fusefs-ntfs on system. But in my case on FreeBSD8.2 installed apache2.2+php5.2. So and when i try deleted pkg-config-0.25_1 system says “package ‘pkg-config-0.25_1′ is required by these other packages and may not be deinstalled:
    libxml2-2.7.8_2
    php52-5.2.17_7
    php52-ctype-5.2.17_7
    ….” and a lot of other files of php52
    if i anyway deleted php-config-0.25_1 and installed pkgconf-0.8.7_2 would be my site works?

  6. thanks mate, was helpful

  7. Ilya Evseev says:

    Perfect Intro about our spare time :)

  8. Thank you Derrick

Leaves a Reply

If you found this solution useful, would you like to visit the following sponsors?